For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The BankFeedAccount object
          • GET/bank-feed-accounts
          • POST/bank-feed-accounts
          • GET/bank-feed-accounts/{id}
          • GET/bank-feed-accounts/meta/post
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsBank Feed Accounts

/bank-feed-accounts

Beta
GET
/accounting/v1/bank-feed-accounts
GET
/api/accounting/v1/bank-feed-accounts
$curl -G https://api.merge.dev/api/accounting/v1/bank-feed-accounts \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>" \
> -d cursor=cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw
200Retrieved
1{
2 "next": "cD0yMDIxLTAxLTA2KzAzJTNBMjQlM0E1My40MzQzMjYlMkIwMCUzQTAw",
3 "previous": "cj1sZXdwd2VycWVtY29zZnNkc2NzUWxNMEUxTXk0ME16UXpNallsTWtJ",
4 "results": [
5 {
6 "id": "b26fd49a-cbae-470a-a8f8-bcbc119e0390",
7 "remote_id": "987300",
8 "created_at": "2021-09-15T00:00:00Z",
9 "modified_at": "2021-10-16T00:00:00Z",
10 "source_account_id": "123566909",
11 "target_account_id": "49cd5a42-b311-4750-9361-52e2ed1d4653",
12 "source_account_name": "Travel Bank Account",
13 "source_account_number": "12567",
14 "target_account_name": "Netsuite Travel Bank Account",
15 "currency": "USD",
16 "feed_status": "ACTIVE",
17 "feed_start_date": "2024-02-02T00:00:00.000Z",
18 "source_account_balance": 123.94,
19 "account_type": "BANK",
20 "remote_was_deleted": true,
21 "field_mappings": {
22 "organization_defined_targets": {
23 "custom_key": "custom_value"
24 },
25 "linked_account_defined_targets": {
26 "custom_key": "custom_value"
27 }
28 },
29 "remote_data": [
30 {
31 "path": "/platform-endpoint",
32 "data": null
33 }
34 ]
35 }
36 ]
37}

Returns a list of BankFeedAccount objects.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

The BankFeedAccount object

Next

/bank-feed-accounts

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

cursorstringOptional
The pagination cursor value.
include_deleted_databooleanOptional

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

page_sizeintegerOptional
Number of results to return per page. The maximum limit is 100.

Response

nextstring or null
previousstring or null
resultslist of objects